Subject: [multipathtcp] Key Exchange

From: Klemens Schragel <[email-masked]>
Date: Tue, 23 Apr 2019 10:31:01 +0200 (CEST)

Hi all, (sorry for potential double-notification, after Mirja's mail I noticed I probably used the wrong mailing list)

The motivation for (changing) the key exchange concept is expressed only in the Appendix:
“
Appendix E.  Changes from RFC6184
[...]
   o  Connection initiation, through the exchange of the MP_CAPABLE
      MPTCP option, is different from RFC6824.  In order to permit
      servers to act statelessly, the SYN doesn't include A's key (it is
      still sent in the ACK).
“

I would expect this ("servers to act statelessy") to be mentioned also somewhere in the main text and not just in the appendix, especially considering that this different behavior (with regards to experimental v0) is introduced in the currend draft-version as a caveat for version negotiation. Something like this:
“
3.1.  Connection Initiation
[...]
The MP_CAPABLE exchange in this specification (v1) is different to
that specified in v0 [RFC6824] to support server statelessness (see
Appedix E).
[...]
”

(ideally there should be also an own section elaborating the motivation in more detail; to me it seems a bit in contrast to the tendency I see to tune toward minimum RTT communication. But I guess it's a bit late for that)

Thanks and rgds, Klemens